Bug 1125420 - RFE: Foreman for OSP5 should not automatically enable Swift (Non-HA)
Summary: RFE: Foreman for OSP5 should not automatically enable Swift (Non-HA)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: Foreman (RHEL 6)
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: Installer
Assignee: Jason Guiditta
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1108193
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:58 UTC by John Williams
Modified: 2016-04-27 05:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 15:23:34 UTC


Attachments (Terms of Use)

Description John Williams 2014-07-31 18:58:08 UTC
Description of problem:

Foreman should not automatically install and enable Swift unless explicitly requested by user/installer. 

Version-Release number of selected component (if applicable):

2014.1.1

How reproducible:
Install with default parameters.


Actual results:
On the controller node I see the following processes: 
[root@r8rh7cntl tools_install]# ps -aef | grep swift
root      2940 45772  0 13:56 pts/0    00:00:00 grep --color=auto swift
swift    43061     1  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43100 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43101 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43103 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43104 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43105 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43106 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43107 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43111 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43112 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43113 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43114 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43115 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43116 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43117 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43118 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43119 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43120 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43121 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43122 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43123 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43124 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43125 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43126 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43127 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43128 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43129 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43130 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43131 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43132 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43133 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43134 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf
swift    43135 43061  0 13:17 ?        00:00:00 /usr/bin/python /usr/bin/swift-proxy-server /etc/swift/proxy-server.conf

Expected results:
 No swift processes. 

Additional info:

Comment 3 Mike Burns 2014-09-30 15:23:34 UTC
Swift is not currently deployed.  When we re-add swift into the layout, this will be re-evaluated.

Comment 4 arkady kanevsky 2014-09-30 16:22:21 UTC
Mike,
please, double check.
While Staypuft does not deploy it automaticlaly, OFI does.
Thanks,
Arkady


Note You need to log in before you can comment on or make changes to this bug.